<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2015 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: sendemail_to_all.php
| Author: Pisatel
| http://www.meweb.ru/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
    if (!defined("IN_FUSION")) { die("Access Denied"); }

        function sendemail_to_all($subject, $message, $data, $welcome) {

    global $settings, $locale, $sdata;
    date_default_timezone_set("Europe/Moscow");

    require MTAPATH."inc/PHPMailerAutoload.php";
    require MTAPATH."inc/func.php";
  
  $mail = new PHPMailer();
    file_exists(MTAPATH."inc/language/phpmailer.lang-".$locale['phpmailer'].".php") ? $mail->SetLanguage($locale['phpmailer'], MTAPATH."inc/language/") : $mail->SetLanguage("en", MTAPATH."inc/language/");

    if (!$settings['smtp_host']) {
    $mail->isMAIL();
} else {
    $mail->isSMTP();
    $mail->Host = $settings['smtp_host'];
    $mail->Port = $settings['smtp_port'];
    $mail->SMTPAuth = $settings['smtp_auth'] ? true : false;
    $mail->Username = $settings['smtp_username'];
    $mail->Password = $settings['smtp_password'];
}
 
   $mail->CharSet = $locale['charset'];
    $mail->setFrom($settings['siteemail'], $settings['siteusername']);
    $mail->addReplyTo($settings['siteemail'], $settings['siteusername']);
    $mail->Subject = $subject;
    $plain = $mail->html2text($message);
    $mail->isHTML(true);
    $img_cid = md5(MTALOGO);
    $img_name = $settings['site_host'];
    $mail->addEmbeddedImage(MTALOGO, $img_cid, $img_name);
// set color mail body
  $c = array(
  "bg" => "#6CA4AC", // body background
  "color" => "#003F66", // body text color
  "h3" => "#202020", // tag <H3> color
  "header" => "#0F3843", // header background
  "header_a" => "#EBEBEB", // color header link
  "line" => "#101010", // background line subheader
  "bg_mess" => "#DEDEDE", // background message
  "footer" => "#606060", // footer background
  "footer_c" => "#DDDDDD" // color text copyright
);
// end set color mail body
    $body = "<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Strict//".strtoupper($locale['phpmailer'])."' 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd'>";
    $body .= "<html xmlns='http://www.w3.org/1999/xhtml'><head>";
    $body .= "<meta http-equiv='Content-Type' content='text/html; charset=".$locale['charset']."' />";
    $body .= "<title>".$subject."</title>";
    $body .= "<style type='text/css'>#outlook a { padding:0; } body { width:100% !important; -webkit-text-size-adjust:100%; -ms-text-size-adjust:100%; margin:0; padding:0; } table, tr, td { margin:0; padding:0; border:0 !important; font-size:100%; font:inherit; vertical-align:baseline; -webkit-border-horizontal-spacing:0; -webkit-border-vertical-spacing:0; } table { border-collapse:collapse !important; border-spacing:0 !important; mso-table-lspace:0pt; mso-table-rspace:0pt; } #backgroundTable { padding:0; width:100% !important; line-height:100% !important; background-color:".$c['bg']."; color:".$c['color']."; font-family:Georgia,Verdana,Tahoma,Arial,Sans-Serif; font-size:14px; margin:7px 0px 7px 0px; } img, a img { border:none; text-decoration:none; } .img_fix { display:block; margin-left:4px; } table td { border-collapse:collapse !important; } a { text-decoration:none !important; } a:hover { text-decoration:underline !important; } h3 { font-family:'HelveticaNeue-Light','Helvetica Neue Light','Helvetica Neue',Helvetica,Arial,'Lucida Grande',sans-serif; line-height:1.1; margin-bottom:15px; color:".$c['h3']."; font-weight:700; font-size:22px; text-align:center !important; } .mg { margin-left:3px; margin-right:3px; }</style></head>";
    $body .= "<body>";
    $body .= "<table cellpadding='0' cellspacing='0' height='100%' id='backgroundTable'><tr><td align='center' height='100%'>";
    $body .= "<table cellspacing='0' cellpadding='0' width='600'><tr bgcolor='".$c['header']."'><td height='140' bgcolor='".$c['header']."' valign='middle' style='vertical-align:middle'>";
    $body .= "<a href='".$settings['siteurl']."' title='".$settings['sitename']."' target='_blank'><img src='cid:".$img_cid."' alt='".$settings['sitename']."' class='img_fix' /></a></td>";
    $body .= "<td height='140' bgcolor='".$c['header']."' valign='middle' align='center' style='vertical-align:middle'>";
    $body .= "<a href='".$settings['siteurl']."' title='".$settings['sitename']."' class='mg' style='color:".$c['header_a']."' target='_blank'>".$settings['sitename']."</a><br /><br /><a href='mailto:".$settings['siteemail']."' class='mg' style='color:".$c['header_a']."'>".$settings['siteemail']."</a></td></tr>";
    $body .= "<tr><td colspan='2' height='30' border='0' bgcolor='".$c['line']."'>&nbsp;</td></tr>";
    $body .= "<tr bgcolor='".$c['bg_mess']."'><td colspan='2' align='left' height='100%' bgcolor='".$c['bg_mess']."' border='0' style='padding-top:15px; padding-right:10px; padding-left:10px;'><h3 syle='text-align:center'>".$welcome."</h3>".nl2br($message)."</td></tr>";
    $body .= "<tr bgcolor='".$c['bg_mess']."'><td colspan='2' height='100' bgcolor='".$c['bg_mess']."' border='0'>&nbsp;</td></tr>";
    $body .= "<tr><td colspan='2' align='right' height='60' bgcolor='".$c['footer']."' font-color='".$c['footer_c']."' valign='middle' style='padding-right:10px; color:".$c['footer_c']."; vertical-align:middle;'><em>All rights reserved | Copyright &copy; <a href='".$settings['siteurl']."' title='".$settings['sitename']."' target='_blank'>".$settings['siteusername']."</a> ".date("Y")."</em></td></tr>";
    $body .= "</table></td></tr></table>";
    $body .= "</body></html>";
    $mail->msgHTML($body);
    $mail->AltBody = $plain;
    $i = 0;
    foreach ($data as $row) {
    unset($user);
    $user = p_cript($row['user_id']);
    $mail->addCustomHeader("Precedence", "bulk");
    $mail->AddCustomHeader("List-Unsubscribe", "<".$settings['siteurl']."infusions/mailtoall/deletemail.php?delete=".$user.">");
    $mail->addAddress($row['user_email'], $row['user_name']);
    $mail->Body = str_replace(array("{USERNAME}", "{BACK_ADDRESS}"), array($row['user_name'], $user), $body);
    $mail->AltBody = str_replace(array("{USERNAME}", "{BACK_ADDRESS}"), array($row['user_name'], $user), $plain);
    if (!$mail->send()) {
        $return[] = "ierror | ".$row['user_name']." | ".$row['user_email']." | ".showdate("longdate", time());
        break;
    } else {
        $return[] = "isuccess | ".$row['user_name']." | ".$row['user_email']." | ".showdate("longdate", time());
    if ($i % $sdata['mass'] == 0)  sleep($sdata['sleep']);
      }
    $mail->clearAddresses();
    $mail->clearCustomHeaders();
    $i++;
   }
    $mail->clearAttachments();
    $mail->clearReplyTos();
    return $return;

}
?>